Page MenuHomePhabricator

MFCustomLogos is now MinervaCustomLogos
Closed, ResolvedPublic

Description

Follow-up to 1d0b6b87e011: the MobileFrontend code now use$wgMinervaCustomLogos instead of $wgMFCustomLogos to better reflect this configuration entry is Minerva-skin specific.

Rename the config variable in production and remove from MobileFrontend.
This is creating lots of logspam in production.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterRename MFCustomLogos to MinervaCustomLogos

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 4 2017, 3:54 PM
Jdlrobson triaged this task as Medium priority.May 4 2017, 6:28 PM
Jdlrobson moved this task from Incoming to Triaged but Future on the Readers-Web-Backlog board.
Jdlrobson raised the priority of this task from Medium to High.May 16 2017, 10:14 AM
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: EBernhardson.
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptMay 16 2017, 10:15 AM

This is creating lots of logspam in production.

Currently, there isn't any hit in fatalmonitor with this error message.

Change 353965 had a related patch set uploaded (by Dereckson; owner: Dereckson):
[operations/mediawiki-config@master] Rename MFCustomLogos to MinervaCustomLogos

https://gerrit.wikimedia.org/r/353965

Dereckson updated the task description. (Show Details)May 16 2017, 10:33 AM
phuedx added a subscriber: phuedx.

A couple of related changes have been scheduled for today's European Mid-day SWAT deployment by @Jdlrobson: https://wikitech.wikimedia.org/w/index.php?title=Deployments&type=revision&diff=1759413&oldid=1759382

Change 353965 merged by jenkins-bot:
[operations/mediawiki-config@master] Rename MFCustomLogos to MinervaCustomLogos

https://gerrit.wikimedia.org/r/353965

Mentioned in SAL (#wikimedia-operations) [2017-05-16T13:36:00Z] <addshore@tin> Synchronized wmf-config/: SWAT: [[gerrit:353965|#1]] T164502, [[gerrit:353973|#2]], [[gerrit:353969|#3]] (duration: 00m 41s)

Jdlrobson closed this task as Resolved.May 16 2017, 2:44 PM

Last error was reported at 13:39 before the SWAT

After the SWAT the logs are clear